;(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    define([], factory);
  } else if (typeof exports === 'object') {
    module.exports = factory();
  } else {
    root.Http.factory = factory();
  }
}(this, function() {
"use strict";
exports.__esModule = true;
var http_interceptor_1 = require("./http.interceptor");
function httpFactory(xhrBackend, requestOptions, localStorageService, loaderService) {
    return new http_interceptor_1.InterceptedHttp(xhrBackend, requestOptions, localStorageService, loaderService);
}
exports.httpFactory = httpFactory;

return Http.factory;
}));
