;(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    define([], factory);
  } else if (typeof exports === 'object') {
    module.exports = factory();
  } else {
    root.Setting = factory();
  }
}(this, function() {
"use strict";
exports.__esModule = true;
var Setting = (function () {
    function Setting(key, value) {
        this.key = key;
        this.value = value;
    }
    return Setting;
}());
exports.Setting = Setting;

return Setting;
}));
